Get Member List
curl --request POST \
--url https://api.unibee.dev/merchant/member/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"createTimeEnd": 123,
"createTimeStart": 123,
"email": "<string>",
"page": 123,
"roleIds": [
123
],
"searchKey": "<string>"
}
'import requests
url = "https://api.unibee.dev/merchant/member/list"
payload = {
"count": 123,
"createTimeEnd": 123,
"createTimeStart": 123,
"email": "<string>",
"page": 123,
"roleIds": [123],
"searchKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 123,
createTimeEnd: 123,
createTimeStart: 123,
email: '<string>',
page: 123,
roleIds: [123],
searchKey: '<string>'
})
};
fetch('https://api.unibee.dev/merchant/member/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"merchantMembers": [
{
"MemberGroupPermission": {},
"MemberRoles": [
{
"createTime": 123,
"id": 123,
"merchantId": 123,
"permissions": [
{
"group": "<string>",
"permissions": [
"<string>"
]
}
],
"role": "<string>"
}
],
"createTime": 123,
"currentDeviceIdentity": "<string>",
"deviceList": [
{
"currentDevice": true,
"identity": "<string>",
"ipAddress": "<string>",
"lastActiveTime": 123,
"lastLoginTime": 123,
"lastTotpVerificationTime": 123,
"name": "<string>",
"status": true
}
],
"email": "<string>",
"firstName": "<string>",
"id": 123,
"isBlankPasswd": true,
"isOwner": true,
"lastName": "<string>",
"merchantId": 123,
"mobile": "<string>",
"oauthAccounts": [
{
"email": "<string>",
"emailVerified": true,
"image": "<string>",
"name": "<string>",
"provider": "<string>",
"providerId": "<string>"
}
],
"status": 123,
"totpType": 123
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Admin Member
Get Member List
POST
/
merchant
/
member
/
list
Get Member List
Endpoint Overview
POSThttps://api.unibee.dev/merchant/member/list
Get Member List
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
count | integer | No | Count Of Page |
createTimeEnd | integer | No | CreateTimeEnd,UTC timestamp,seconds |
createTimeStart | integer | No | CreateTimeStart,UTC timestamp,seconds |
email | string | No | Search Filter Email |
page | integer | No | Page, Start With 0 |
roleIds | array | No | The member roleId if specified’ |
searchKey | string | No | Search Key, FirstName,LastName or Email |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/member/list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"count": 0,
"createTimeEnd": 0,
"createTimeStart": 0,
"email": "user@example.com",
"page": 0,
"roleIds": [],
"searchKey": ""
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/member/list" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"count": 0,
"createTimeEnd": 0,
"createTimeStart": 0,
"email": "user@example.com",
"page": 0,
"roleIds": [],
"searchKey": ""
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.merchantMembers | array | Merchant Member Object List |
data.total | integer | Total |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Count Of Page
CreateTimeEnd,UTC timestamp,seconds
CreateTimeStart,UTC timestamp,seconds
Search Filter Email
Page, Start With 0
The member roleId if specified'
Search Key, FirstName,LastName or Email
⌘I

